Bug 305291 - %folder% token does not work as expected in organize dialog
Summary: %folder% token does not work as expected in organize dialog
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Organize Files Dialog (show other bugs)
Version: 2.6.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-16 21:25 UTC by bap393
Modified: 2013-02-01 22:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bap393 2012-08-16 21:25:15 UTC
The %folder% token gives the path of the collection root, which is useless, since files are organized relatively to this root. Indeed, no one needs to move a file to "/collectionroot/collectionroot".

What it should do is give the relative path of the selected file, if one wants to rename a file without moving it to a new folder. For instance, if a file is at the path "/collectionroot/randomfoldername/01 - title.mp3", the expression "%folder%/%track%. %title%" should rename it as "01. title.mp3" while keeping it in its own folder "randomfoldername".
Comment 1 Myriam Schweingruber 2012-08-19 14:08:23 UTC
Which exact Amarok version is this about?
Comment 2 bap393 2012-08-19 14:17:27 UTC
2.6.0, but it has been here for long...
Comment 3 Myriam Schweingruber 2012-09-14 10:27:29 UTC
Thank you for the feedback.
Comment 4 Ralf Engels 2013-02-01 22:45:06 UTC
Git commit f577a74a14a72550ab10e6999f457eb1dba20a41 by Ralf Engels.
Committed on 05/01/2013 at 14:26.
Pushed by rengels into branch 'master'.

Cleanup TrackOrganizer

Fix confusion with "ignoreThe". It did not ignore the "the"
Cleanup inconsistent cleanPath
Fix potential problem with shared pointers
Improve "folder" and "collectionRoot" arguments
FIXED-IN: 2.8

M  +2    -12   src/amarokconfig.kcfg
M  +7    -7    src/core-impl/collections/umscollection/UmsCollection.cpp
M  +2    -2    src/core-impl/collections/umscollection/UmsCollection.h
M  +1    -0    src/core/support/Amarok.h
M  +5    -4    src/dialogs/OrganizeCollectionDialog.cpp
M  +2    -2    src/dialogs/OrganizeCollectionDialog.h
M  +3    -3    src/dialogs/OrganizeCollectionOptions.ui
M  +59   -51   src/dialogs/TrackOrganizer.cpp
M  +8    -3    src/dialogs/TrackOrganizer.h
M  +2    -1    src/widgets/FilenameLayoutWidget.cpp

http://commits.kde.org/amarok/f577a74a14a72550ab10e6999f457eb1dba20a41